package com.liquidnet.service.goblin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 商品券关联人信息
 * </p>
 *
 * @author liquidnet
 * @since 2024-01-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class GoblinOrderSkuAssoc implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "mid", type = IdType.AUTO)
    private Long mid;

    /**
     * 订单sku_id
     */
    private String orderSkuId;

    /**
     * 1-大陆身份证,2-港澳通行证,3-台胞证,4-护照,5-军官证
     */
    private Integer idType;

    /**
     * 关联人证件号码
     */
    private String idCard;

    /**
     * 关联人姓名
     */
    private String personName;

    /**
     * 操作人
     */
    private String operator;

    private LocalDateTime createdAt;

    private LocalDateTime updatedAt;

    private String comment;


}
